# context.hpp File Reference

`#include <saga/saga/util.hpp>`
`#include <saga/saga/base.hpp>`
`#include <saga/saga/task.hpp>`
`#include <saga/saga/object.hpp>`
`#include <saga/saga/detail/attribute.hpp>`

Go to the source code of this file.

## Namespaces
namespace | saga
namespace | saga::attributes
## Classes
class | saga::context
| The saga::context class provides the functionality of a security information container. More...
## Variables
char const *const | saga::attributes::context_type = "Type"
char const *const | saga::attributes::context_server = "Server"
char const *const | saga::attributes::context_certrepository = "CertRepository"
char const *const | saga::attributes::context_userproxy = "UserProxy"
char const *const | saga::attributes::context_usercert = "UserCert"
char const *const | saga::attributes::context_userkey = "UserKey"
char const *const | saga::attributes::context_userid = "UserID"
char const *const | saga::attributes::context_userpass = "UserPass"
char const *const | saga::attributes::context_uservo = "UserVO"
char const *const | saga::attributes::context_lifetime = "LifeTime"
char const *const | saga::attributes::context_remoteid = "RemoteID"
char const *const | saga::attributes::context_remotehost = "RemoteHost"
char const *const | saga::attributes::context_remoteport = "RemotePort"